Subject: Remove automatic DB schema updates
Description

Only exception: if an empty database is found the system should try to migrate to the latest state.

Associated revisions
Revision 2b7a283b - 2011-07-04 18:18 - Karsten Dambekalns

[TASK] Remove automatic Doctrine schema updates

No more DB schema updates, no more autoUpdate setting. Use migrations
instead. To get the system up and running from scratch, simply running
flow3_dev flow3:doctrine:migrate should be sufficient.

Proxies are still compiled automatically in runtime initialization,
whenever a model class has changed.

Resolves: #27649
Change-Id: Ib940f0821816ef835acb08c2b827963d80701c40

History
#1 - 2011-06-27 23:04 - Mr. Hudson
- Status changed from Accepted to Under Review

Patch set 1 of change Ib940f0821816ef835acb08c2b827963d80701c40 has been pushed to the review server.
It is available at http://review.typo3.org/2936

#2 - 2011-06-27 23:11 - Mr. Hudson

Patch set 2 of change Ib940f0821816ef835acb08c2b827963d80701c40 has been pushed to the review server.
It is available at http://review.typo3.org/2936

#3 - 2011-06-27 23:14 - Karsten Dambekalns
I'd push the "initial setup if needed" towards a setup tool:
    -  it should work for Doctrine and other persistence backends
    -  seeing if tables exist is possible but expensive
    -  it would be only for the initial step, for which we now need manual action anyway (config file editing)
#4 - 2011-07-04 18:19 - Mr. Hudson

Patch set 3 of change Ib940f0821816ef835acb08c2b827963d80701c40 has been pushed to the review server.
It is available at http://review.typo3.org/2936

#5 - 2011-07-06 11:05 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:2b7a283b88c9e79af840ffb59e590ddc1a7480ff.
